Name:           subtitleeditor
Version:        0.37.1
Release:        2%{?dist}
Summary:        GTK+2 tool to edit subtitles for GNU/Linux/*BSD

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://home.gna.org/subtitleeditor/
Source0:        http://download.gna.org/subtitleeditor/0.37/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-good
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  gtkmm24-devel >= 2.14.0
BuildRequires:  glibmm24-devel >= 2.16.3
BuildRequires:  libxml++-devel >= 2.20
BuildRequires:  intltool
BuildRequires:  ccache
BuildRequires:  gstreamermm-devel >= 0.10.4

# For spell checking (Optional)
BuildRequires:  enchant-devel >= 1.4.0
# ISO-CODES 639 + 3166 (Optional)
BuildRequires:  iso-codes-devel

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Subtitle Editor is a GTK+2 tool to edit subtitles for GNU/Linux/*BSD. It can be 
used for new subtitles or as a tool to transform, edit, correct and refine 
existing subtitle. This program also shows sound waves, which makes it easier 
to synchronize subtitles to voices.

%prep
%setup -q

%build
%configure \
       --disable-debug \
       --disable-static \
       --disable-gl \
       --enable-ccache 

make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#remove .la's
find $RPM_BUILD_ROOT -name "*.la" -exec %{__rm} -f '{}' \;

#remove useless development files
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so

%find_lang %{name}

desktop-file-install --vendor="fedora" --delete-original \
  --dir %{buildroot}%{_datadir}/applications             \
  --mode 0644                                            \
  %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
%{__rm} -rf $RPM_BUILD_ROOT 

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/man/man1/%{name}.1.*
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Martin Sourada <mso@fedoraproject.org> - 0.37.1-1
- rhbz #583343 (upstream #16016) fixed upstream, dropping the temporary patch
- displays saving dialog after generating waveforms or keyframes
- adds support for .stl subtitle format (Spruce STL)
- adds an option to scall all subtitles
- fixes a crash at "find and replace" with regexp (upstream #16058)

* Mon Jun 21 2010 Martin Sourada <mso@fedoraproject.org> - 0.36.2-2
- Updated patch for rhbz #583343 (upstream #16016)

* Sun Jun 06 2010 Martin Sourada <mso@fedoraproject.org> - 0.36.2-1
- New subtitle format SBV
- Build with gl waveform renderer now works, we'll keep Cairo based one though
- Fixes non-working video playback (upstream #15525)
- Fixes some segfaults on waveform generation (upstream #15464)
- Add temporary patch for rhbz #583343 (upstream #16016)

* Sun Feb 14 2010 Martin Sourada <mso@fedoraproject.org> - 0.36.0-1
- disable gl waveform renderer (fails to build, cairo based is good enough)
- two new plugins : sortsubtitles, typewriter
- various fixes
- fixes rhbz#564215 and its duplicates

* Sun Jan 10 2010 Martin Sourada <mso@fedoraproject.org> - 0.35.1-2
- Fix source URL

* Thu Dec 31 2009 Martin Sourada <mso@fedoraproject.org> - 0.35.1-1
- New release
- improvements to waveform editor
- video player rewritten, should fix rhbz#538382
- various bug fixes

* Sun Oct 25 2009 Martin Sourada <mso@fedoraproject.org> - 0.34.0-1
- New release
- supports pulsesink now
- new plugin 'textcorrection'
- new plugin 'keyframesmanagement'
- spell checking plugin completely rewrite
- find and replace plugin completely rewrite
- libglademm -> Gtk::Builder
- new translations
- various bug fixes
- fix for upstream bug #12649 has been included in tarbal

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Martin Sourada <mso@fedoraproject.org> - 0.30.0-4
- Fix build on rawhide

* Thu Dec 11 2008 Martin Sourada <mso@fedoraproject.org> - 0.30.0-3
- Apply patch to upstream bug 12649 (lubek)
- Various changes to spec file (lubek)

* Sat Dec 06 2008 Martin Sourada <mso@fedoraproject.org> - 0.30.0-2
- Add intltool to BuildRequires

* Sat Dec 06 2008 Martin Sourada <mso@fedoraproject.org> - 0.30.0-1
- Drop rhbz #459792 workaround
- New upstream release
 - Each function work around extension system (enable/disable/configure)
 - Add 'Generate Wavefrom From Video'
 - Add line break policy option: soft, hard, intelligent (ASS/SSA)
 - Add 'Wavefrom & Media' filter in the wavefrom dialog
 - The subtitle format system was completely rewritten
 - Update the UI when files are open.
 - Add option --enable-profiling
 - New Error Checking tool.
 - New options to set default document values.
 - Add "Edit Cell" and "Edit Next Cell".
 - Another characters coding can be selected if it fails.
 - Waveform Renderer use now Pango to draw subtitle text. 
 
* Mon Aug 25 2008 Martin Sourada <martin.sourada@gmail.com> - 0.22.3-1
- New upstream release
- Don't build with cppunit testing (rhbz #458607)
- Workaround rhbz #459792

* Thu Jul 03 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.3-1
- New upstream release
 - Add option -f --file for open a file
 - Add MimeType in desktop file.
 - Update Czech translation
 - Fix: Play/Pause button
 - Fix: #10494 (upstream)

* Thu Jun 19 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.2-1
- New upstream release

* Wed May 28 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.1-3
- Enable unit testing

* Tue May 27 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.1-2
- Update the icon cache update scriplet to follow the packaging guidelines
- Add BR: gstreamer-plugins-good

* Tue May 27 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.1-1
- Initial Fedora RPM package

